<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --agentid=<agentid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$AGENTID=$args_array['agentid'];


if (strlen($AGENTID) < 1) {
        echo "ERROR: --agentid=<agentid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$agentObj = getAgents($USER,$PASS,$HOST,$PORT);

foreach($agentObj->return as $tmp)
{
        if($tmp->id == $AGENTID)
        {
		$agent = $tmp;
		break;	
        }
}

try{

	$client = new soapclient("https://$HOST:$PORT/Agent?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deleteAgent(array('agent'=>$agent)) ;

	echo "Successfully executed deleteAgent\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
